glab(1)

NAME
glab-orbit - GitLab Knowledge Graph commands. (EXPERIMENTAL)

SYNOPSIS
glab orbit [flags]

DESCRIPTION
Access the GitLab Knowledge Graph (product name: Orbit) from the CLI. Use glab orbit remote to query the remote API, or glab orbit local to run the Orbit local CLI binary.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Guided onboarding: verify access, install the skill, install the local CLI
    $ glab orbit setup
    # Discover the remote Knowledge Graph
    $ glab orbit remote status
    $ glab orbit remote schema
    $ glab orbit remote tools
    # Run a query against the remote Knowledge Graph
    $ glab orbit remote query ./query.json
    # Inspect indexing progress for a namespace or project
    $ glab orbit remote graph-status --full-path gitlab-org/gitlab
    # Run the Orbit local CLI (downloads the binary on first use)
    $ glab orbit local

SEE ALSO
glab(1), glab-orbit-local(1), glab-orbit-remote(1), glab-orbit-setup(1)